Deletes the authenticated user's specified task list. If the list contains assigned tasks, both the assigned tasks and the original tasks in the assignment surface (Docs, Chat Spaces) are deleted. The user's default task list cannot be deleted.
HTTP request
DELETE https://tasks.googleapis.com/tasks/v1/users/@me/lists/{tasklist}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
tasklist |
Task list identifier. The default task list cannot be deleted. |
Request body
The request body must be empty.
Response body
If successful, the response body is empty.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/tasks
For more information, see the Authorization guide.